# Run tests in check section
%bcond_with check

%global goipath         github.com/chzyer/logex
Version:                1.1.10

%global common_description %{expand:
A golang log lib, supports tracking and level, wrap by standard log lib.}

%gometa

Name:    %{goname}
Release: 7%{?dist}
Summary: A golang log lib, supports tracking and level, wrap by standard log lib
Group:   Development/Other
License: MIT
URL:     %{gourl}
Source:  %{gosource}
Source1: https://raw.githubusercontent.com/chzyer/logex/master/LICENSE
BuildArch:  noarch

%description
%{common_description}

%global golicenses LICENSE
%global godocs README.md

%gopkg

%prep
%goprep
cp %{SOURCE1} .


%install
%gopkginstall


%if %{with check}
%check
%gocheck
%endif

%gopkgfiles



%changelog
* Thu Sep 17 2020 joequant <joequant> 1.1.10-7.mga8
+ Revision: 1628146
- fix build

* Tue Nov 20 2018 pterjan <pterjan> 1.1.10-6.mga7
+ Revision: 1332538
- imported package golang-github-chzyer-logex

